language: en
pipeline:
- name: WhitespaceTokenizer
  intent_tokenization_flag: True
  intent_split_symbol: "+"
- name: RegexFeaturizer
  number_additional_patterns: 10
- name: CRFEntityExtractor
- name: CountVectorsFeaturizer
  additional_vocabulary_size:
    text: 1000
    response: 1000
    action_text: 1000
  analyzer: char_wb
  min_ngram: 1
  max_ngram: 4
- name: DIETClassifier
  epochs: 10
  batch_size: 32
  entity_recognition: false
- name: FallbackClassifier
  threshold: 0.5
  ambiguity_threshold: 0.1
policies:
- name: AugmentedMemoizationPolicy
  max_history: 5 # default value
- name: TEDPolicy
  max_history: 10
  epochs: 8
  batch_size: [4,16]
  dense_dimension: 64
  augmentation_factor: 2
- name: RulePolicy
  #restrict_rules: false
  core_fallback_threshold: 0.4
  core_fallback_action_name: action_default_fallback

